summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ferenc Deak2010-06-13 04:45:09 +0200
committer Robby Workman2010-06-13 05:14:28 +0200
commit883170e629febb1835a568f076fd5c5d1f8d830b (patch)
treef09f9f2b17ef17e7341b545a956521401dd2cd55 /development
parentac0c73a9c3dcaf35f6f21327d14684198288b4b5 (diff)
downloadslackbuilds-883170e629febb1835a568f076fd5c5d1f8d830b.tar.gz
development/ddd: Added (a debugger gui)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/ddd/README5
-rw-r--r--development/ddd/ddd.SlackBuild90
-rw-r--r--development/ddd/ddd.info10
-rw-r--r--development/ddd/ddd.pngbin0 -> 5689 bytes
-rw-r--r--development/ddd/doinst.sh4
-rw-r--r--development/ddd/slack-desc19
-rw-r--r--development/ddd/strclass.C.diff12
7 files changed, 140 insertions, 0 deletions
diff --git a/development/ddd/README b/development/ddd/README
new file mode 100644
index 0000000000..85ce67edcf
--- /dev/null
+++ b/development/ddd/README
@@ -0,0 +1,5 @@
+GNU DDD is a graphical front-end for command-line debuggers such as GDB, DBX,
+WDB, Ladebug, JDB, XDB, the Perl debugger, the bash debugger, or the Python
+debugger. Besides "usual" front-end features such as viewing source texts,
+DDD has become famous through its interactive graphical data display, where
+data structures are displayed as graphs.
diff --git a/development/ddd/ddd.SlackBuild b/development/ddd/ddd.SlackBuild
new file mode 100644
index 0000000000..145ee037a2
--- /dev/null
+++ b/development/ddd/ddd.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for ddd
+# Written by Ferenc Deak <ferenc.deak@gmail.com>
+
+# Slight modifications by the SlackBuilds projects
+# Modified by Ken Milmore 2009
+
+PRGNAM=ddd
+VERSION=3.3.12
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# http://savannah.gnu.org/bugs/?26726
+patch -p0 < $CWD/strclass.C.diff
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# DDD installs a .desktop file, but not an icon...
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/ddd.png > $PKG/usr/share/pixmaps/ddd.png
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING* CREDITS NEWS PROBLEMS README TIPS TODO \
+ doc/ddd.pdf doc/ddd-paper.ps doc/html/ddd.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ddd/ddd.info b/development/ddd/ddd.info
new file mode 100644
index 0000000000..268d52d599
--- /dev/null
+++ b/development/ddd/ddd.info
@@ -0,0 +1,10 @@
+PRGNAM="ddd"
+VERSION="3.3.12"
+HOMEPAGE="http://www.gnu.org/software/ddd/"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/ddd/ddd-3.3.12.tar.gz"
+MD5SUM="c50396db7bac3862a6d2555b3b22c34e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ferenc Deak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="rworkman"
diff --git a/development/ddd/ddd.png b/development/ddd/ddd.png
new file mode 100644
index 0000000000..eec9b8cb58
--- /dev/null
+++ b/development/ddd/ddd.png
Binary files differ
diff --git a/development/ddd/doinst.sh b/development/ddd/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/development/ddd/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/development/ddd/slack-desc b/development/ddd/slack-desc
new file mode 100644
index 0000000000..913884c823
--- /dev/null
+++ b/development/ddd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also customary
+# to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ddd: ddd (Data Display Debugger)
+ddd:
+ddd: GNU DDD is a graphical front-end for command-line debuggers such as
+ddd: GDB, DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, the bash
+ddd: debugger, or the Python debugger. Besides "usual" front-end features
+ddd: such as viewing source texts, DDD has become famous through its
+ddd: interactive graphical data display, where data structures are
+ddd: displayed as graphs.
+ddd:
+ddd:
+ddd:
diff --git a/development/ddd/strclass.C.diff b/development/ddd/strclass.C.diff
new file mode 100644
index 0000000000..6f5bbee7ad
--- /dev/null
+++ b/development/ddd/strclass.C.diff
@@ -0,0 +1,12 @@
+Index: ddd/strclass.C
+===================================================================
+--- ddd/strclass.C (revision 7209)
++++ ddd/strclass.C (working copy)
+@@ -38,6 +38,7 @@
+ #include <ctype.h>
+ #include <limits.h>
+ #include <new>
++#include <cstdio>
+ #include <stdlib.h>
+
+ void string::error(const char* msg) const